summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-05-23 07:07:21 +0200
committerHans de Graaff <graaff@gentoo.org>2016-05-24 06:50:46 +0200
commit1c3fd2589fdb72402e60da3f56273f313bd9ce1c (patch)
tree8503916f40d7126a034717f9517945acec733315 /dev-ruby/hiera/hiera-3.2.0.ebuild
parentdev-ruby/ruby-prof: cleanup (diff)
downloadgentoo-1c3fd2589fdb72402e60da3f56273f313bd9ce1c.tar.gz
gentoo-1c3fd2589fdb72402e60da3f56273f313bd9ce1c.tar.bz2
gentoo-1c3fd2589fdb72402e60da3f56273f313bd9ce1c.zip
dev-ruby/hiera: add 3.2.0
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/hiera/hiera-3.2.0.ebuild')
-rw-r--r--dev-ruby/hiera/hiera-3.2.0.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/hiera/hiera-3.2.0.ebuild b/dev-ruby/hiera/hiera-3.2.0.ebuild
new file mode 100644
index 00000000000..2cc9248da61
--- /dev/null
+++ b/dev-ruby/hiera/hiera-3.2.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A simple pluggable Hierarchical Database"
+HOMEPAGE="http://projects.puppetlabs.com/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~hppa ~x86"
+
+ruby_add_bdepend "test? ( dev-ruby/mocha )"
+
+ruby_add_rdepend "dev-ruby/json
+ dev-ruby/deep_merge"
+
+all_ruby_prepare() {
+ # Our json package is either the compiled version or the pure
+ # version. Fix gemspec accordingly.
+ sed -i -e 's/json_pure/json/' ../metadata || die
+}